Subject: Re: icecat show many warning and don't display correctly

From: Andreas Enge <[email-masked]>
Date: Thu, 31 Jan 2019 11:47:23 +0100

On Wed, Jan 30, 2019 at 07:02:29PM +0100, Ricardo Wurmus wrote:
> The solution might be to use glib-or-gtk-build-system instead of
> gnu-build-system.  This would wrap the binary in the required
> variables.
> 
> Would someone like to try this before we make the change in the master
> branch?

I did and nothing changed. I was a bit surprised that icecat does not get
rebuilt. In any case, XDG_DATA_DIRS still does not appear as an environment
variable in $HOME/.guix-profile/etc/profile after installing icecat.

Andreas